# ApplicationFramework
TKPLCAF
MDataStd

# MDataStd_ReferenceListRetrievalDriver Class Reference

`#include <MDataStd_ReferenceListRetrievalDriver.hxx>`

Inheritance diagram for MDataStd_ReferenceListRetrievalDriver:

[legend]

## Public Member Functions

Standard_EXPORT | MDataStd_ReferenceListRetrievalDriver (const Handle(CDM_MessageDriver)&theMessageDriver)
Standard_EXPORT Standard_Integer | VersionNumber () const
| Returns the version number from which the driver is available. .
Standard_EXPORT Handle_Standard_Type | SourceType () const
| Returns the type of source object, inheriting from Attribute from PDF. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Creates a new attribute from PDF. .
Standard_EXPORT void | Paste (const Handle(PDF_Attribute)&Source, const Handle(TDF_Attribute)&Target, const Handle(MDF_RRelocationTable)&RelocTable) const
| Translate the contents of <asource> and put it into <atarget>, using the relocation table <areloctable> to keep the sharings. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT MDataStd_ReferenceListRetrievalDriver::MDataStd_ReferenceListRetrievalDriver | ( | const Handle(CDM_MessageDriver)& | theMessageDriver | ) |

## Member Function Documentation

Standard_EXPORT const MDataStd_ReferenceListRetrievalDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MDF_ARDriver.

Standard_EXPORT Handle_TDF_Attribute MDataStd_ReferenceListRetrievalDriver::NewEmpty | ( |  | ) | const`[virtual]`

| Implements MDF_ARDriver.

Standard_EXPORT void MDataStd_ReferenceListRetrievalDriver::Paste | ( | const Handle(PDF_Attribute)& | Source,
|  | const Handle(TDF_Attribute)& | Target,
|  | const Handle(MDF_RRelocationTable)& | RelocTable
| ) | const`[virtual]`

| Implements MDF_ARDriver.

Standard_EXPORT Handle_Standard_Type MDataStd_ReferenceListRetrievalDriver::SourceType | ( |  | ) | const`[virtual]`

| Implements MDF_ARDriver.

Standard_EXPORT Standard_Integer MDataStd_ReferenceListRetrievalDriver::VersionNumber | ( |  | ) | const`[virtual]`

| Implements MDF_ARDriver.

The documentation for this class was generated from the following file:

- MDataStd_ReferenceListRetrievalDriver.hxx